Last modified: 2014-05-01 00:05:46 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 64258 - suboptimal placement of "More details" tipsy tooltip
suboptimal placement of "More details" tipsy tooltip
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
MultimediaViewer (Other open bugs)
unspecified
All All
: Unprioritized normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2014-04-22 19:45 UTC by Amir E. Aharoni
Modified: 2014-05-01 00:05 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Amir E. Aharoni 2014-04-22 19:45:04 UTC
The "More details on Wikimedia tooltip", which appears when hovering over the Commons icon in the bottom bar has suboptimal placement in both LTR and RTL languages.

In LTR languages its arrow is not exactly at the Commons icon itself. For an example see:
https://en.wikipedia.org/wiki/ASCII#mediaviewer/File:ASCII%20Code%20Chart-Quick%20ref%20card.jpg

In RTL languages it goes off screen to the left and causes a horizontal toolbar to appear. For an example see:
https://he.wikipedia.org/wiki/ASCII#mediaviewer/%D7%A7%D7%95%D7%91%D7%A5:ASCII%20full.svg

In both cases hover over the Commons icon. Notice that it's on the bottom left side in the RTL wiki.
Comment 1 Tisza Gergő 2014-04-22 20:35:37 UTC
This is a tipsy bug (two tipsy bugs, actually). Would be nice to fix upstream, but the lazy way is to just switch to ne/nw tip placement so the tip is positioned in the corner of the bubble.
Comment 2 Tisza Gergő 2014-04-22 20:44:47 UTC
Tracked in mingle as https://wikimedia.mingle.thoughtworks.com/projects/multimedia/cards/485
Comment 3 Gilles Dubuc 2014-04-30 14:54:38 UTC
We can't easily fix the fact that when pushed against the arrow of the screen, the arrow doesn't point to exactly what we want. The arrow position in this case is "south" which means exactly 50% of the width for the arrow position. Since the bubble is "blocked" by the edge of the screen and its width is maintained, the arrow can't point to the element we wanted, because of the tipsy-s CSS (as defined in jquery.tipsy.css). I don't think this issue can be fixed without writing a significant amount of code upstream to handle a special arrow positioning in those situations. At the moment only the bubble has conditional position logic, the arrow just follows the bubble based on its gravity. Tipsy just has no logic whatsoever to guarantee that the arrow always points to the right element.

As for the second part (going outside of the screen), I couldn't actually figure out what code in tipsy makes the magic happen in the LTR case. I'm guessing it has to do with the actual width measuring, but I can't be sure.

Given that switching the arrow placement fixed both issues effortlessly and that the alternative is adding a significant amount of code to the upstream, I'll got for that.
Comment 4 Gerrit Notification Bot 2014-04-30 14:58:20 UTC
Change 130604 had a related patch set uploaded by Gilles:
Change the tipsy gravity for the strip buttons

https://gerrit.wikimedia.org/r/130604
Comment 5 Gerrit Notification Bot 2014-04-30 18:09:50 UTC
Change 130604 merged by jenkins-bot:
Change the tipsy gravity for the stripe buttons

https://gerrit.wikimedia.org/r/130604

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links